Player Resource Consortium

 

Author Topic: Fatal Error with JavaCC  (Read 2571 times)

0 Members and 1 Guest are viewing this topic.

January 28, 2016, 11:28:43 PM
  • Adept
  • *
  • Posts: 13
  • Karma: +0/-0
  • New Member
    • View Profile

I cry every time. (see attachment)

I've tried different versions of JavaCC and the PRC pack. I've followed all instructions to the letter and I can't get rid of this damn error!

Hint:
the file is not corrupt.


January 31, 2016, 10:56:50 PM
Reply #1
  • Developer
  • *****
  • Posts: 1437
  • Karma: +27/-0
  • Gender: Male
    • View Profile

The PRC Pack was designed to work with latest NWN + SoU + HotU game (1.69 I belive). If you don't have SoU or HotU you may get this error. If your game works without a problem then I can't see any other reasons why it would display this message.
« Last Edit: February 01, 2016, 09:53:34 AM by xwarren »


February 01, 2016, 01:03:53 PM
Reply #2
  • Adept
  • *
  • Posts: 13
  • Karma: +0/-0
  • New Member
    • View Profile

The PRC Pack was designed to work with latest NWN + SoU + HotU game (1.69 I belive). If you don't have SoU or HotU you may get this error. If your game works without a problem then I can't see any other reasons why it would display this message.

I have Neverwinter Diamond (from here: http://www.gog.com/game/neverwinter_nights_diamond_edition) and the 1.70 community patch.


February 02, 2016, 12:18:21 AM
Reply #3
  • Developer
  • *****
  • Posts: 1437
  • Karma: +27/-0
  • Gender: Male
    • View Profile

hmmm....

Maybe try extracting portraits.2da to your override folder - perhaps this will help (or if there is one already - remove it). I haven't played with 1.70 patch much, I can't tell how it behaves with Java CC.


February 02, 2016, 01:54:02 AM
Reply #4
  • Adept
  • *
  • Posts: 13
  • Karma: +0/-0
  • New Member
    • View Profile

hmmm....

Maybe try extracting portraits.2da to your override folder - perhaps this will help (or if there is one already - remove it). I haven't played with 1.70 patch much, I can't tell how it behaves with Java CC.


I found a folder called 2dasource.zip in the main nwn directory, is that suppose to be there or maybe it failed to unpack during installation? It has portraits.2da in it

I've tried it without the 1.7, still does the same thing.
Maybe this has something to do with it
After using the Diamond installer, when I use the .exe installer for JavaCC, it gives the error that I don't have the expansions when I do

EDIT:
Placing the .2da file from the .zip into the override folder fixed it.

However, I'm still curious about my previous questions regarding 2dasource.zip
« Last Edit: February 02, 2016, 02:11:33 AM by nwnrules »


February 02, 2016, 03:31:27 AM
Reply #5
  • Adept
  • *
  • Posts: 13
  • Karma: +0/-0
  • New Member
    • View Profile

Well, I didn't get far!
Here are two more errors
The first one is caused when I try to use a default package.
I can get passed it by configuring my own class, but if I hit recommended on the feat pick, it gets the same error.

Second error is when I go to customize, which was not fixed by putting appearances.2da in the override folder.


February 02, 2016, 03:35:25 AM
Reply #6
  • Adept
  • *
  • Posts: 13
  • Karma: +0/-0
  • New Member
    • View Profile

I went ahead and extracted all of the files from 2dasource.zip into the override folder, which fixed those two errors.


February 02, 2016, 11:33:09 PM
Reply #7
  • Adept
  • *
  • Posts: 13
  • Karma: +0/-0
  • New Member
    • View Profile

Holy shit, this is making me mad.

Any character I make doesn't work when I go to pick it inside NWN.
It always shows the class as Barbarian and when I try to load it, it presents the error:
"Invalid character - player login refused. Bad Strref"
 
Any ideas before I move on to NWN2 and try the PRC packs there. Maybe I'm just not destined to enjoy NWN PRC :P
« Last Edit: February 02, 2016, 11:42:00 PM by nwnrules »


February 03, 2016, 04:23:54 AM
Reply #8
  • Jr. Associate
  • **
  • Posts: 58
  • Karma: +5/-0
  • New Member
    • View Profile

What module are you attempting to use, and is is updated to use the PRC?

For example there are steps you need to take to update the campaign to use PRC successfully, or any module not built with the PRC initially.

Seeing PRC classes as "barbarian" is common if the tlk file is not installed properly (or if not used by the module, which would be a problem with not updating the module to work with PRC).


February 03, 2016, 11:45:31 AM
Reply #9
  • Adept
  • *
  • Posts: 13
  • Karma: +0/-0
  • New Member
    • View Profile

The first campaign.
I placed all the files in their respective folders and I've also used the PRCModuleUpdater.exe... I even stuck the files for PRC3.5 in override to see if that would fix it. It didn't.


February 03, 2016, 02:22:45 PM
Reply #10
  • Developer
  • *****
  • Posts: 1437
  • Karma: +27/-0
  • Gender: Male
    • View Profile

Are you sure the 'Enforce Legal Characters' option is set turned off?


February 03, 2016, 02:34:35 PM
Reply #11
  • Adept
  • *
  • Posts: 13
  • Karma: +0/-0
  • New Member
    • View Profile

Single Player Enforce Legal Characters=0
in nwnplayer.ini
this is correct?

Perhaps there's something about the GOG Diamond edition that isn't compatible with PRC


February 06, 2016, 06:46:08 PM
Reply #12
  • Adept
  • *
  • Posts: 13
  • Karma: +0/-0
  • New Member
    • View Profile

no more ideas huh?
yeah, i'm also stumped -.-


February 15, 2016, 05:42:42 PM
Reply #13
  • Adept
  • *
  • Posts: 13
  • Karma: +0/-0
  • New Member
    • View Profile

still cant get it to work
somebody copy and paste me their install  :P


February 15, 2016, 05:53:28 PM
Reply #14
  • Developer
  • *****
  • Posts: 1437
  • Karma: +27/-0
  • Gender: Male
    • View Profile

So the JavaCC works now, but you can't play NWN with any PRC character. Is that correct?

Stupid question - but are you sure you have PRC Pack installed in the module you are trying to play?
Quote
It always shows the class as Barbarian and when I try to load it, it presents the error:
"Invalid character - player login refused. Bad Strref"
This indicates that the game can not find prc tlk file...